# Generated automatically from Makefile.in by configure.
#
# default base directory for YAP installation
#
ROOTDIR = /home/vitor/Yap/work
#
# where the binary should be
#
BINDIR = $(ROOTDIR)/bin
#
# where YAP should look for binary libraries
#
LIBDIR=$(ROOTDIR)/lib/Yap
#
# where YAP should look for architecture-independent Prolog libraries
#
SHAREDIR=$(ROOTDIR)/share
#
#
# You shouldn't need to change what follows.
#
INSTALL=/usr/bin/install -c
INSTALL_DATA=${INSTALL} -m 644
INSTALL_PROGRAM=${INSTALL}
srcdir=.

PROGRAMS= $(srcdir)/apply_macros.yap \
	$(srcdir)/assoc.yap \
	$(srcdir)/atts.yap \
	$(srcdir)/avl.yap \
	$(srcdir)/charsio.yap \
	$(srcdir)/cleanup.yap \
	$(srcdir)/heaps.yap \
	$(srcdir)/lists.yap \
	$(srcdir)/logtalk.yap \
	$(srcdir)/ordsets.yap \
	$(srcdir)/prandom.yap \
	$(srcdir)/queues.yap \
	$(srcdir)/random.yap \
	$(srcdir)/regexp.yap \
	$(srcdir)/splay.yap \
	$(srcdir)/system.yap \
	$(srcdir)/terms.yap \
	$(srcdir)/tries.yap \
	$(srcdir)/timeout.yap \
	$(srcdir)/trees.yap \
	$(srcdir)/ugraphs.yap

LOGTALK_PROGRAMS= \
	$(srcdir)/logtalk/logtalk.pl \
	$(srcdir)/logtalk/yap430.config

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(SHAREDIR)/Yap
	for p in $(PROGRAMS); do $(INSTALL_DATA) $$p $(DESTDIR)$(SHAREDIR)/Yap; done
	mkdir -p $(DESTDIR)$(SHAREDIR)/Yap/logtalk
	for p in $(LOGTALK_PROGRAMS); do $(INSTALL_DATA) $$p $(DESTDIR)$(SHAREDIR)/Yap/logtalk; done
